LinuxQuestions.org
Latest LQ Deal: Linux Power User Bundle
Go Back   LinuxQuestions.org > Forums > Linux Forums > Linux - Distributions > Zenwalk
User Name
Password
Zenwalk This forum is for the discussion of Zenwalk Linux.

Notices


Reply
  Search this Thread
Old 06-25-2018, 06:12 AM   #1
patounet
LQ Newbie
 
Registered: Jun 2018
Posts: 5

Rep: Reputation: Disabled
Firefox and liblgpllibs.so


Hello,
I've installed Firefox with xnetpkg, and when I try to launch Firefox , I get the answer
PHP Code:
firefox
XPCOMGlueLoad error 
for file /usr/lib64/firefox/liblgpllibs.so:
/
lib64/libm.so.6version `GLIBC_2.27' not found (required by /usr/lib64/firefox/liblgpllibs.so)
Couldn't load XPCOM. 
But I can't find anywhere this famous libgpllibs.
If anyone can tell how and where I can find and add this librari.
Thank to all.
 
Old 06-25-2018, 06:19 AM   #2
pan64
LQ Guru
 
Registered: Mar 2012
Location: Hungary
Distribution: debian/ubuntu/suse ...
Posts: 11,613

Rep: Reputation: 3497Reputation: 3497Reputation: 3497Reputation: 3497Reputation: 3497Reputation: 3497Reputation: 3497Reputation: 3497Reputation: 3497Reputation: 3497Reputation: 3497
this is not a problem with liblgpllibs.so, but looks like an incompatibility between glibc and liblgpllibs.
The location of that lib was printed, did you check that? (/usr/lib64/firefox/liblgpllibs.so)
 
Old 06-25-2018, 07:59 AM   #3
patounet
LQ Newbie
 
Registered: Jun 2018
Posts: 5

Original Poster
Rep: Reputation: Disabled
I'm sorry but I don't understand exactly what you mean ; I've found liblgpllibs.so at the exact place
Quote:
find /usr/lib64 -name 'liblgpllibs*'
/usr/lib64/firefox/liblgpllibs.so
if you can be more explicit it would help
 
Old 06-25-2018, 08:56 AM   #4
patounet
LQ Newbie
 
Registered: Jun 2018
Posts: 5

Original Poster
Rep: Reputation: Disabled
Ok, I've found, and loaded GLIBC-2.27, so next.
Now it's that :

Quote:
firefox
XPCOMGlueLoad error for file /usr/lib64/firefox/libxul.so:
/usr/lib64/libstdc++.so.6: version `GLIBCXX_3.4.22' not found (required by /usr/lib64/firefox/libxul.so)
Couldn't load XPCOM.
and now, for sure, I can't find the GLIBCXX_3.4.22' ;
And after ....????waht else ???
 
  


Reply


Thread Tools Search this Thread
Search this Thread:

Advanced Search

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is Off
HTML code is Off



Similar Threads
Thread Thread Starter Forum Replies Last Post
How to check system for trouble? firefox nightly and regular firefox acting strange. sirius57 Linux - Security 8 11-28-2017 08:17 PM
LXer: Firefox 9 Is 30% Faster Than Firefox 8 | Install Firefox 9 On Ubuntu 11.10 and Earlier Release LXer Syndicated Linux News 0 12-30-2011 04:50 PM
LXer: Firefox 8 is 20% Faster than Firefox 5, Install Firefox 8 in Ubuntu via PPA LXer Syndicated Linux News 0 07-21-2011 10:31 PM
LXer: OpenBSD: I swap Firefox 2 for Firefox 3 (and don't melt silicon in the process) LXer Syndicated Linux News 0 04-17-2009 03:10 PM

LinuxQuestions.org > Forums > Linux Forums > Linux - Distributions > Zenwalk

All times are GMT -5. The time now is 08:14 PM.

Main Menu
Advertisement
My LQ
Write for LQ
LinuxQuestions.org is looking for people interested in writing Editorials, Articles, Reviews, and more. If you'd like to contribute content, let us know.
Main Menu
Syndicate
RSS1  Latest Threads
RSS1  LQ News
Twitter: @linuxquestions
Facebook: linuxquestions Google+: linuxquestions
Open Source Consulting | Domain Registration